E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSsl::OpenSSL::Error Class Reference

An exception class for GSsl::OpenSSL classes. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::Error:

## Public Member Functions
| Error (const std::string &)
| Error (const std::string &, unsigned long)
| Error (const std::string &, unsigned long, const std::string &path)

## Static Public Member Functions
static void | clearErrors ()

## Detailed Description

An exception class for GSsl::OpenSSL classes.

Definition at line 126 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ Error() [1/3]

GSsl::OpenSSL::Error::Error | ( | const std::string & | s | ) |
| explicit

Definition at line 779 of file gssl_openssl.cpp.

## ◆ Error() [2/3]

GSsl::OpenSSL::Error::Error | ( | const std::string & | fnname,
|  | unsigned long | e
| ) |  |

Definition at line 784 of file gssl_openssl.cpp.

## ◆ Error() [3/3]

GSsl::OpenSSL::Error::Error | ( | const std::string & | fnname,
|  | unsigned long | e,
|  | const std::string & | path
| ) |  |

Definition at line 790 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ clearErrors()

void GSsl::OpenSSL::Error::clearErrors | ( |  | ) |
| static

Definition at line 796 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp